# Tests by default. No tests: rpm -ba --define 'dotests 0' *.spec
%{!?dotests: %define dotests 1}


Name: nagios-plugins
Version: 2.3.3
Release: 1
Summary: Host/service/network monitoring program plugins for Nagios
Group: Applications/System
License: GPLv2+
URL: http://nagiosplugins.org/
Source0: https://github.com/nagios-plugins/nagios-plugins/releases/download/release-%{version}/nagios-plugins-%{version}.tar.gz

Patch0: %{name}-2.3.3-aix.patch
Patch1: utils.patch
Patch2: nagios-plugins-2.3.3-check_icmp.patch
Patch3: nagios-plugins-2.3.3-libintl_hardcode.patch

BuildRequires: patch
BuildRequires: gettext >= 0.10.40
BuildRequires: libdbi-devel >= 0.8.4-1
BuildRequires: nagios
BuildRequires: openldap-devel >= 2.4.46-1

Requires: bash >= 5.0-1
Requires: gettext >= 0.19.8.1-3
Requires: libdbi >= 0.8.4-1
Requires: openldap >= 2.4.46-1

%description
Nagios is a program that will monitor hosts and services on your
network.  It has the ability to send email or page alerts when a
problem arises and when a problem is resolved.  Nagios is written
in C and is designed to run under Linux (and some other *NIX
variants) as a background process, intermittently running checks
on various services that you specify.

The actual service checks are performed by separate "plugin" programs
which return the status of the checks to Nagios.

This package contains those plugins.


%prep
%setup -q
%patch0 -p0
%patch1 -p0
%patch2 -p0
%patch3 -p0

%build
export CONFIG_SHELL=/usr/bin/ksh
export CONFIG_ENV_ARGS=/usr/bin/ksh
export OBJECT_MODE=64
export CC="gcc -maix64 -O2"
export CFLAGS="-DSYSV -D_AIX -D_AIX32 -D_AIX41 -D_AIX43 -D_AIX51 -D_ALL_SOURCE -DFUNCPROTO=15 -O -I/opt/freeware/include"
export LDFLAGS="-L/opt/freeware/lib64 -L/opt/freeware/lib  -Wl,-blibpath:/opt/freeware/lib64:/opt/freeware/lib:/usr/lib:/lib -lm"
./configure \
    --prefix=%{_prefix} \
    --libexecdir=%{_libdir}/nagios/plugins \
    --enable-extra-opts \
    --enable-libtap \
--with-cgiurl=/nagios/cgi-bin \
    PATH_TO_NTPQ=/usr/sbin/ntpq \
    PATH_TO_NTPDATE=/usr/sbin/ntpdate \
    --with-ps-command="/usr/sysv/bin/ps -eo 's uid pid ppid vsz rss pcpu etime comm args'" \
    --with-ps-format='%s %d %d %d %d %d %f %s %s %n' \
    --with-ps-cols=10 \
    --with-ps-varlist='procstat,&procuid,&procpid,&procppid,&procvsz,&procrss,&procpcpu,procetime,procprog,&pos'

gmake %{?_smp_mflags}
if [ "%{dotests}" == 1 ]
then
( gmake -k test || true )
fi


%install
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}

CFLAGS="$RPM_OPT_FLAGS" \
gmake   install DESTDIR="$RPM_BUILD_ROOT" 

export OBJECT_MODE=64

/usr/bin/strip ${RPM_BUILD_ROOT}%{_libdir}/nagios/plugins/* || :

chmod 644 ${RPM_BUILD_ROOT}%{_libdir}/nagios/plugins/utils.pm


%clean
[ "${RPM_BUILD_ROOT}" != "/" ] && rm -rf ${RPM_BUILD_ROOT}


%files
%defattr(-,root,system,-)
%doc ACKNOWLEDGEMENTS AUTHORS ChangeLog CODING COPYING FAQ LEGAL NEWS
%doc README REQUIREMENTS SUPPORT THANKS
%{_libdir}/nagios/plugins/*


%changelog
* Wed Dec 16 2020 Reshma V Kumar <reskumar@in.ibm.com> - 2.3.3-1
- Update to 2.3.3

* Fri May 17 2019 Harshita Jain <harjain9@in.ibm.com > - 2.2.1-1
- Initial port to Aix Toolbox

* Fri Oct 19 2018 Michael Perzl <michael@perzl.org> - 2.2.1-2
- fixed dependency clash with nagios

* Thu Jul 27 2017 Michael Perzl <michael@perzl.org> - 2.2.1-1
- updated to version 2.2.1

* Wed Jan 25 2017 Michael Perzl <michael@perzl.org> - 2.2.0-1
- updated to version 2.2.0

* Wed Dec 07 2016 Michael Perzl <michael@perzl.org> - 2.1.4-1
- updated to version 2.1.4

* Wed Nov 16 2016 Michael Perzl <michael@perzl.org> - 2.1.3-2
- recompiled against latest versions

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 2.1.3-1
- updated to version 2.1.3

* Tue Sep 20 2016 Michael Perzl <michael@perzl.org> - 2.1.2-1
- updated to version 2.1.2

* Fri Mar 04 2016 Michael Perzl <michael@perzl.org> - 2.1.1-2
- recompiled against latest version of openssl

* Wed Aug 26 2015 Michael Perzl <michael@perzl.org> - 2.1.1-1
- updated to version 2.1.1

* Wed Aug 26 2015 Michael Perzl <michael@perzl.org> - 2.1.0-1
- updated to version 2.1.0

* Wed Jul 02 2014 Michael Perzl <michael@perzl.org> - 2.0.3-1
- updated to version 2.0.3

* Wed May 28 2014 Michael Perzl <michael@perzl.org> - 2.0.2-1
- updated to version 2.0.2

* Wed Apr 16 2014 Michael Perzl <michael@perzl.org> - 2.0.1-1
- updated to version 2.0.1

* Mon Mar 17 2014 Michael Perzl <michael@perzl.org> - 2.0-1
- updated to version 2.0

* Tue Nov 12 2013 Michael Perzl <michael@perzl.org> - 1.5-1
- updated to version 1.5

* Tue Jun 18 2013 Michael Perzl <michael@perzl.org> - 1.4.16-1
- updated to version 1.4.16

* Tue Jun 18 2013 Michael Perzl <michael@perzl.org> - 1.4.15-1
- updated to version 1.4.15

* Wed Jun 20 2012 Michael Perzl <michael@perzl.org> - 1.4.14-1
- first version for AIX V5.1 and higher
